import { jsx } from "react/jsx-runtime";
import { SealCheck as SealCheck$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SealCheck = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SealCheck", ...props, children: /* @__PURE__ */ jsx(SealCheck$1, { weight: variant }) });
  }
);
SealCheck.displayName = "SealCheck";
Object.assign(SealCheck, { isGdsIcon: true });
export {
  SealCheck
};
